net.sf.jasperreports.export

## Interface ExporterConfiguration

- All Superinterfaces:
    CommonExportConfiguration
  All Known Subinterfaces:
    CsvExporterConfiguration, CsvMetadataExporterConfiguration, DocxExporterConfiguration, Graphics2DExporterConfiguration, HtmlExporterConfiguration, JRHtmlExporterConfiguration, JsonExporterConfiguration, JxlExporterConfiguration, JxlMetadataExporterConfiguration, OdsExporterConfiguration, OdtExporterConfiguration, PdfExporterConfiguration, PptxExporterConfiguration, PrintServiceExporterConfiguration, RtfExporterConfiguration, TextExporterConfiguration, XlsExporterConfiguration, XlsMetadataExporterConfiguration, XlsxExporterConfiguration
  All Known Implementing Classes:
    AbstractXlsExporterConfiguration, SimpleCsvExporterConfiguration, SimpleCsvMetadataExporterConfiguration, SimpleDocxExporterConfiguration, SimpleExporterConfiguration, SimpleGraphics2DExporterConfiguration, SimpleHtmlExporterConfiguration, SimpleJsonExporterConfiguration, SimpleJxlExporterConfiguration, SimpleJxlMetadataExporterConfiguration, SimpleOdsExporterConfiguration, SimpleOdtExporterConfiguration, SimplePdfExporterConfiguration, SimplePptxExporterConfiguration, SimplePrintServiceExporterConfiguration, SimpleRtfExporterConfiguration, SimpleTextExporterConfiguration, SimpleXlsExporterConfiguration, SimpleXlsMetadataExporterConfiguration, SimpleXlsxExporterConfiguration

      public interface ExporterConfiguration
      extends CommonExportConfiguration

  Instances of this class are used for configuring the behavior of exporters.

  see `Exporter.setConfiguration(ExporterConfiguration)` see `ExporterInputItem.getConfiguration()`

  Version:
    $Id: ExporterConfiguration.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `PROPERTY_EXPORT_CONFIGURATION_OVERRIDE_REPORT_HINTS`

  - ### Method Summary

    - ### Methods inherited from interface net.sf.jasperreports.export.CommonExportConfiguration

      `isOverrideHints`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com